#!/bin/bash
#
# $Revision: 1.19 $, $Date: 2004/01/27 19:42:09 $
#
# GPL, mimooh at pld-linux.org, bonder at pld-linux.org, teodor at pld-linux.org

connection_name=TPSA
phone=0202122
user=ppp
pass=ppp

run_main() {
	chmod u+r /etc/wvdial.conf
	install_if_missing wvdial
	if [ ! -f /etc/wvdial.conf ]; then
		TMPFILE=`mktemp /tmp/pldconf.XXXXXX` || exit 1
		wvdialconf /etc/wvdial.conf
		if [ $? -ne 0 ]; then
			echo "<enter>"; read; ${DATA_DIR}/NET/net_menu.sh
		fi
		cat /etc/wvdial.conf | grep -v Dialer | grep -v Phone | \
		grep -v Username | grep -v Password > $TMPFILE
		echo '[Dialer Defaults]' > /etc/wvdial.conf
		cat $TMPFILE >> /etc/wvdial.conf
		echo Phone=$phone >> /etc/wvdial.conf
		echo Username=$user >> /etc/wvdial.conf
		echo Password=$pass >> /etc/wvdial.conf
		rm $TMPFILE
	fi
	nowy_wpis
	chmod u-x /etc/wvdial.conf
}
nowy_wpis() {
	if [ "`grep "\[Dialer $connection_name\]" /etc/wvdial.conf`" ]; then
		echo "$(nls "Connection $connection_name is already defined. Choose another connection name")"
		echo "<enter>"
		read	
		exec ${DATA_DIR}/NET/modem.sh
	else
		cat << EOF >> /etc/wvdial.conf

[Dialer $connection_name]

Phone=$phone 
Username=$user
Password=$pass
EOF
	fi

	if [ $wybieranie_impulsowe = "yes" ]; then
		echo "Dial Command = ATDP" >> /etc/wvdial.conf
	fi
	if [ $wycisz = "yes" ]; then
		echo "Init3 = ATM0L0" >> /etc/wvdial.conf
	fi
	if [ $user_can_dial = "yes" ]; then
		chmod 4755 `which wvdial`
	else
		chmod 755 `which wvdial`
	fi
}

gui() {
	eval `dml<< EOF
	<meta title="$(nls "Modem dialer setup")"><br>
	$(nls "Connect name"): <input id=connection_name caption=$connection_name width=10><br>
	$(nls "Telephone number"):   <input id=phone caption=$phone width=10><br>
	$(nls "Login"):       <input id=user caption=$user width=10><br>
	$(nls "Password"):    <input id=pass caption=$pass width=10><br><br>
	<check id=user_can_dial checked=1> $(nls "Normal user can dial")<br>
	<check id=wybieranie_impulsowe> $(nls "Impulses dial")<br>
	<check id=wycisz> $(nls "Muting modem")<br><br>
	\`dml_buttons Ok Anuluj Edytuj Pomoc Wyjcie\`
EOF`
	dml_help_check ${DATA_DIR}/POMOC/README_modem.txt
	dml_check_the_rest ${EXEC_PREFIX}/pldconf
	dml_edit_check /etc/wvdial.conf
	dml_cancel_check ${DATA_DIR}/NET/net_menu.sh
}
gui
