#!/bin/bash
#
# $Revision: 1.23 $, $Date: 2004/03/03 00:10:48 $
#

eval `dml << EOF
<meta title="$(nls "Network setup")"><br>
<menu id=res_menu res=1 height=13>
<item id=gw> $(nls "Default gateway")
<item id=ethernet> $(nls "Ethernet cards")
<item id=hostname> $(nls "Hostname")
<item id=dns> $(nls "DNS setup")
<item id=dhcp> $(nls "DHCP server")
<item id=sdi> SDI
<item id=dsl> DSL
<item id=neostrada> Neostrada (speedtouch)
<item id=modem> $(nls "Modem setup")
<item id=smb> $(nls "Network neighbourhood")
<item id=tfirewall> $(nls "Firewall")
<item id=dml_cancel> $(nls "Back")
<item id=dml_exit> $(nls "Exit")
</menu>
EOF`

case $res_menu in 
	hostname)
	exec ${DATA_DIR}/NET/hostname.sh 
	;;
	dns)
	exec ${DATA_DIR}/NET/dns.sh 
	;;
	dhcp)
	exec ${DATA_DIR}/NET/dhcpd.sh
	;;
	gw)
	exec ${DATA_DIR}/NET/gw.sh 
	;;
	ethernet)
	exec ${DATA_DIR}/NET/ethernet.sh
	;;
	smb)
	exec ${DATA_DIR}/NET/smb.sh
	;;
	sdi)
	exec ${DATA_DIR}/NET/sdi.sh
	;;
	dsl)
	exec ${DATA_DIR}/NET/dsl.sh
	;;
	neostrada)
	exec ${DATA_DIR}/NET/neostrada.sh
	;;
	modem)
	exec ${DATA_DIR}/NET/modem.sh
	;;
	tfirewall)
	exec ${DATA_DIR}/NET/tfirewall.sh
	;;
	dml_cancel)
	exec ${EXEC_PREFIX}/pldconf
	;;
	dml_exit)
	exit
	;;
esac
