#!/bin/bash
#
# $Revision: 1.17 $, $Date: 2004/02/07 02:07:36 $
#
# GPL, swistacz at pld-linux.org 

run_main () {
	install_if_missing ppp
	cat <<EOF > /etc/sysconfig/interfaces/ifcfg-sdi
DEVICE=ppp0
ONBOOT=yes
MODEMPORT=$port
DIRECT_CONNECT=yes
EOF

	cat <<EOF > /etc/ppp/options.`basename /dev/$port /dev/`
crtscts
defaultroute
lock
modem
115200
noauth
persist
noccp
user $user
EOF
	echo "$user * $pass $ip" > /etc/ppp/pap-secrets
	line_replace "alias char-major-108 ppp_generic" "alias char-major-108 ppp_generic" $MODULES_CONFIG
	ifdown sdi
	ifup sdi
}

eval `dml<< EOF
<meta title="$(nls "SDI setup")">
<br>
$(nls "User")     <input id=user width=17><br>
$(nls "Password") <input id=pass width=17><br>
$(nls "IP address") <input id=ip width=17><br><br>
$(nls "Select port")
<br>
<menu id=port>
<item id=/dev/ttyS0> /dev/ttyS0, COM1
<item id=/dev/ttyS1> /dev/ttyS1, COM2
</menu>
<br><br>
\`dml_buttons Ok Anuluj Pomoc Wyjcie\`
<button id=dml_remove caption="$(nls "Remove config")"><br>
<br>
EOF`

dml_cancel_check ${DATA_DIR}/NET/net_menu.sh
dml_help_check ${DATA_DIR}/POMOC/README_sdi.txt
dml_check_the_rest ${DATA_DIR}/NET/net_menu.sh

if [ $dml_remove = "yes" ]; then
	rm /etc/sysconfig/interfaces/ifcfg-sdi
	rm /etc/ppp/options.ttyS*
	rm /etc/ppp/pap-secrets
	exec ${DATA_DIR}/NET/net_menu.sh
fi

