#!/bin/bash
#GPL, mimooh at pld-linux.org

eval `dml<< EOF
<meta title="$(nls "About network")"><br>
<button id=eth caption="$(nls "About network interfaces")"><br>
<button id=route caption="$(nls "Routing table")"><br>
<button id=ports caption="$(nls "Show open ports on your computer (localhost)")"><br>
$(nls "Show open ports on computer (IP address or hostname)"): <input id=other_host width=13><button id=show caption="$(nls "Show")"><br>
$(nls "Show information about host"): <input id=ip_host width=13> <button id=show_ip caption=$(nls "Show")><br>
<button id=cost caption="$(nls "Show modem logs")"><br>
<br><br>
\`dml_buttons Anuluj Wyjcie\`
EOF`

dml_cancel_check ${DATA_DIR}/SYSINFO/sysinfo_menu.sh
dml_check_the_rest

if [ "X$route" = "Xyes" ]; then
	clear
	route -n
	echo -e "\\n\\n<enter>"
	read
	exec ${DATA_DIR}/SYSINFO/net.sh
fi

if [ "X$eth" = "Xyes" ]; then
	clear
	ifconfig | less
	exec ${DATA_DIR}/SYSINFO/net.sh
fi

if [ "X$ports" = "Xyes" ] || [ "X$show" = "Xyes" ]; then
	clear
	if [ $other_host ]; then
		nmap $other_host
	else
		netstat -tan | grep LISTEN
		netstat -uan
	fi
	echo -e "\\n\\n<enter>"
	read
	exec ${DATA_DIR}/SYSINFO/net.sh
fi

[ "X$show_ip" = "Xyes" ] && { host $ip_host; echo -e "\\n\\n<enter>"; read; exec ${DATA_DIR}/SYSINFO/net.sh; }

if [ $cost = "yes" ]; then
	cat /var/log/ppp.log | perl -pe "s/Connect time/Start/g; s/Disconnect time/Stop /g; s/(with|from).*//" | less
	exec ${DATA_DIR}/SYSINFO/net.sh
fi
