#!/bin/bash
#GPL, mimooh at pld-linux.org

eval `dml<< EOF
<meta title="$(nls "About installed programs")"><br>
<button id=rpm_qa caption="$(nls "Information about installed packages")"><br>
<button id=path caption=$(nls "Show")> $(nls "path for") <input width=20 id=path_wyswietl caption=ls><br>
<button id=rpm_qf caption=$(nls "Show")> $(nls "the package from which this file comes"): <input width=20 id=rpm_qf_wyswietl caption=/bin/ls><br>
<button id=rpm_ql caption=$(nls "Show")> $(nls "files that belong to this package"): <input width=20 id=rpm_ql_wyswietl caption=coreutils><br>
<button id=rpm_qi caption=$(nls "Show")> $(nls "package description") <input width=20 id=rpm_qi_wyswietl caption=poldek><br>
<br><br>
\`dml_buttons Anuluj Wyjcie\`
EOF`

dml_cancel_check ${DATA_DIR}/SYSINFO/sysinfo_menu.sh
dml_check_the_rest

if [ "X$rpm_qa" = "Xyes" ]; then
	clear
	rpm -qa | less
	exec ${DATA_DIR}/SYSINFO/packets.sh
fi
if [ "X$rpm_ql" = "Xyes" ]; then
	clear
	rpm -ql $rpm_ql_wyswietl | less
	exec ${DATA_DIR}/SYSINFO/packets.sh
fi

if [ "X$rpm_qf" = "Xyes" ]; then
	clear
	rpm -qf $rpm_qf_wyswietl 
	echo -e "\\n\\n<enter>"
	read
	exec ${DATA_DIR}/SYSINFO/packets.sh
fi

if [ "X$rpm_qi" = "Xyes" ]; then
	clear
	rpm -qi $rpm_qi_wyswietl
	echo -e "\\n\\n<enter>"
	read
	exec ${DATA_DIR}/SYSINFO/packets.sh
fi
if [ "X$path" = "Xyes" ]; then
	clear
	which $path_wyswietl
	echo -e "\\n\\n<enter>"
	read
	exec ${DATA_DIR}/SYSINFO/packets.sh
fi
