#!/bin/bash
#GPL, mimooh at pld-linux.org

eval `dml<< EOF
<meta title="$(nls "About system")"><br>
<menu id=res_menu res=1 height=8>
<item id=devices> $(nls "About devices")
<item id=harddisk> $(nls "About hard disks")
<item id=processes> $(nls "About processes")
<item id=net> $(nls "About network")
<item id=packets> $(nls "About packages")
<item id=dml_help> $(nls "Help")
<item id=dml_cancel> $(nls "Back")
<item id=dml_exit> $(nls "Exit")
</menu>
EOF`

case $res_menu in
	devices) exec ${DATA_DIR}/SYSINFO/devices.sh ;;
	harddisk) exec ${DATA_DIR}/SYSINFO/harddisk.sh ;;
	processes) exec ${DATA_DIR}/SYSINFO/processes.sh ;;
	net) exec ${DATA_DIR}/SYSINFO/net.sh ;;
	packets) exec ${DATA_DIR}/SYSINFO/packets.sh ;;
	dml_help) dml_help=yes; dml_help_check ${DATA_DIR}/POMOC/README_sysinfo.txt;;
	dml_cancel) dml_cancel=yes; dml_cancel_check ${EXEC_PREFIX}/pldconf ;;
	dml_exit) exit ;;
esac
