#!/bin/bash
eval `dml << EOF
<meta title="$(nls "Graphical environment")" width=30> 
<br>
<menu id=res_menu res=1 height=4> 
<item id=X> X
<item id=desktop> $(nls "Graphical manager")
<item id=dml_cancel> $(nls "Back")
<item id=dml_exit> $(nls "Exit")
</menu>
EOF`

case $res_menu in 
	X)
	exec ${DATA_DIR}/X/X.sh
	;;
	desktop)
	exec ${DATA_DIR}/X/desktop.sh
	;;
	dml_cancel)
	exec ${EXEC_PREFIX}/pldconf
	;;
	dml_exit)
	exit
	;;
esac
