#!/bin/bash
#
# $Revision: 1.13 $, $Date: 2004/01/27 19:42:08 $
#

eval `dml << EOF
<meta title="$(nls "System booting")" width=35> 
<br>
<menu id=res_menu res=1 height=4> 
<item id=grub> $(nls "GRUB, boot manager") 
<item id=services> $(nls "Services")
<item id=dml_cancel> $(nls "Back")
<item id=dml_exit> $(nls "Exit")
</menu>
EOF`

case $res_menu in 
	grub)
	exec ${DATA_DIR}/BOOT/grub.sh
	;;
	services)
	exec ${DATA_DIR}/BOOT/services.sh
	;;
	dml_cancel)
	exec ${EXEC_PREFIX}/pldconf
	;;
	dml_exit)
	exit	
	;;
esac
