#!/bin/bash
#
# $Revision: 1.2 $, $Date: 2004/06/04 21:33:13 $
#
# kinium at go2.pl

run_main()
{
	if [ "X$dml_ok" = "Xyes" ]; then
		install_if_missing xawtv
		rmmod tda9875 tuner tvaudio bttv video_buf i2c_algo_bit v4l2_common btcx_risc i2c_core videodev 2>/dev/null
		line_replace "options bttv card" "options bttv card=$card" $MODULES_CONFIG
		line_replace "options tuner" "options tuner type=$tuner debug=0" $MODULES_CONFIG
		line_replace "alias char-major-81 " "alias char-major-81 videodev" $MODULES_CONFIG
		line_replace "alias char-major-81-0" "alias char-major-81-0 bttv" $MODULES_CONFIG
		line_replace "bttv" "bttv" /etc/modules
		`modprobe bttv 2>/dev/null`

		if [ `lsmod | egrep bttv` ]
		then			
			# modu si zainstalowa
			if [ "X$scan" = "Xyes" ]; then
				echo "$(nls "Scanning, please wait")"
				scantv -n $norma -f $table -o /root/.xawtv
				show_message "$(nls "Scanning complete
				Config file is /root/.xawtv")"
			fi			
		else
			# modu si nie zainstalowa lub nie skanuje
			show_message "$(nls "Modules not loaded")"
		fi
	fi
}

video=`cat /proc/pci |egrep "Multimedia video controller"| cut -f2 -d':'`
audio=`cat /proc/pci |egrep "Multimedia controller"| cut -f2 -d':'`
[ -n "$video" ] && video="$(nls "No card")"
[ "$audio" != "" ] && video=$video"    "$audio"<br><br>"
gui()
{
	eval `dml<< EOF
		<meta title="$(nls "TV card setup (bttv only)")"><br>
		$(nls "Found TV card devices"):<br>
		    $video<br>
		$(nls "Card number"): <input id=card width=5 caption=72>
		<button id=karty caption="$(nls "Cards list")"><br>
		$(nls "Tuner type") <input id=tuner width=5 caption=5>
		<button id=tunery caption="$(nls "Tuners list")"><br><br>
		------------------------------------------------<br>
		$(nls "Frequency scanning") <check id=scan><br>
		$(nls "TV standard")
		<menu hidden=1 id=norm_menu>
		<item id=PAL>PAL<item id=NTSC>NTSC<item id=SECAM>SECAM
		<item id=PAL-Nc>PAL-Nc<item id=PAL-M>PAL-M
		<item id=PAL-N>PAL-N<item id=NTSC-JP>NTSC-JP<item id=PAL-60>PAL-60</menu>
		<input id=norma menu=norm_menu caption=PAL width=7><br>
		$(nls "Frequency table") 
		<menu hidden=1 id=tab_menu>
		<item id=us-bcast>us-bcast<item id=us-cable>us-cable
		<item id=us-cable-hrc>us-cable-hrc<item id=japan-bcast>japan-bcast
		<item id=japan-cable>japan-cable<item id=europe-west>europe-west
		<item id=europe-east>europe-east<item id=italy>italy
		<item id=newzealand>newzealand<item id=australia>australia
		<item id=ireland>ireland<item id=france>france
		<item id=china-bcast>china-bcast<item id=southafrica>southafrica
		<item id=argentina>argentina<item id=australia-optus>australia-optus
		<item id=russia>russia<item id=cable-poland-PTK>cable-poland-PTK
		</menu>
		<input id=table menu=tab_menu caption=europe-east width=15><br><br>

		\`dml_buttons Ok Anuluj Pomoc\`
EOF`
	if [ "X$karty" = "Xyes" ]; then
		$PLDCONF_PAGER ${DATA_DIR}/DEVICES/TV/CARDLIST.bttv;
		exec ${DATA_DIR}/DEVICES/TV/tv.sh
	fi
	if [ "X$tunery" = "Xyes" ]; then
		$PLDCONF_PAGER ${DATA_DIR}/DEVICES/TV/CARDLIST.tuner;
		exec ${DATA_DIR}/DEVICES/TV/tv.sh
	fi

	dml_cancel_check ${DATA_DIR}/DEVICES/device_menu.sh
	dml_help_check ${DATA_DIR}/POMOC/README_tv.txt
#	dml_recover_check ${CONF_DIR}/
	dml_check_the_rest ${DATA_DIR}/DEVICES/device_menu.sh
	
}

gui
