#!/bin/bash
#GPL, mimooh at pld-linux.org
#This script checks for cups, starts it and invokes mozilla http://localhost:631

install_if_missing "cups cups-clients cups-filter-pstoraster"
cat << EOF
$(nls "Printer configuration via system printing CUPS")
-------------------------------------------------
$(nls "This script uses mozilla for printer configuration.
You can also try to use other browsers (glinks/links/links2/lynx)
if you don't have mozilla, e.g.")

	glinks http://localhost:631

$(nls "Configuration is prepared in english, so here is translation:")

1. $(nls "Manage printers (Manage printer)");
2. $(nls "Add printer (Add printer)");
3. Enter username/password. User: root. Passwd: $(nls "root_password")
4. Name: $(nls "printer1")
   Location: $(nls "on your desk")
   Description: $(nls "linux printer")
5. Device: ($(nls "Device")
   5.1. $(nls "For local printer probably parallel port#1 (first parallel port)")
   5.2. $(nls "For network printer use ipp/http both for windows client and linux:")
   Linux: CUPS -> Manage printers -> Add printer -> ipp/http
   Windows: $(nls "Add Printer -> Network printer -> URL")
	 $(nls "This is an example of network printer address on CUPS server:")
	ipp://192.168.0.1/printers/drukarka1 
	6. Model/driver: $(nls "I don't know, I have only got HP :( - for these printers use HP filter");
<enter>
EOF
read

/etc/rc.d/init.d/cups restart
mozilla http://localhost:631
exec ${DATA_DIR}/DEVICES/device_menu.sh
