#!/bin/bash
# USB host controller detection
# GPL, mimooh at pld-linux.org


run_main() {
	clear
#	hci="`pcidev /m usb`"
#	/sbin/lspci -v | grep UHCI 1>/dev/null && { hci="uhci-hcd";      echo "$(nls "Found controller") UHCI, USB 1.0"; }
#	/sbin/lspci -v | grep OHCI 1>/dev/null && { hci="$hci ohci-hcd"; echo "$(nls "Found controller") OHCI, USB 1.0"; }
#	/sbin/lspci -v | grep EHCI 1>/dev/null && { hci="$hci ehci-hcd"; echo "$(nls "Found controller") EHCI, USB 2.0"; }
#	[ -z "$hci" ] && { echo "$(nls "No USB controller found")"; exit; }
#	[ $KERNEL_VER = 2.4 ] && hci=`echo $hci | sed "s/uhci-hcd/usb-uhci/;s/ohci-hcd/usb-ohci/"`
	echo "$(nls "Loading modules and adding entries to /etc/modules")"

#	for i in $hci; do
#		modprobe $i 2>/dev/null
#		line_replace $i $i /etc/modules
#	done
	pci_dev usb
	mount none /proc/bus/usb -t usbdevfs 2>/dev/null
}

print_help() {
	cat << EOF
$(nls "Options for USB controller"):

	-a auto
EOF
}

while getopts "ah" opt
do
	case $opt in
		a) run_main; exit;;
		h) print_help; exit;;
		*) print_help; exit;;
	esac
done

run_main
exec ${DATA_DIR}/DEVICES/device_menu.sh
