#!/bin/bash
#
# $Revision: 1.17 $, $Date: 2004/01/30 11:19:24 $
#
# GPL, mimooh at pld-linux.org


run_main () {
	line_replace "GATEWAY=" "GATEWAY=$gw" /etc/sysconfig/network
	line_replace "GATEWAYDEV=" "GATEWAYDEV=$gw_device" /etc/sysconfig/network
	/etc/rc.d/init.d/network stop
	sleep 1
	/etc/rc.d/init.d/network start
}

eval `grep GATEWAY /etc/sysconfig/network`
eval `dml<< EOF
<meta title="$(nls "Gateway setup")"><br>
$(nls "Default gateway"): <input id=gw caption=$GATEWAY width=18><br>
$(nls "Gateway through device"): <input id=gw_device caption=eth0 width=7><br><br>
\`dml_buttons Ok Anuluj Edytuj\`
EOF`

dml_edit_check /etc/sysconfig/network
dml_cancel_check ${DATA_DIR}/NET/net_menu.sh
dml_check_the_rest ${DATA_DIR}/NET/net_menu.sh
