#!/bin/bash
#
# $Revision: 1.21 $, $Date: 2004/02/13 10:14:18 $
#
#GPL, mimooh at pld-linux.org

[ -f /etc/sysconfig/interfaces/ifcfg-eth0 ] && . /etc/sysconfig/interfaces/ifcfg-eth0
IP_GUESSED=`echo $IPADDR | cut -d\/ -f1`

eval `grep HOSTNAME /etc/sysconfig/network`
DOMAIN=`grep domain /etc/resolv.conf | cut -f 2 -d" "`

run_main () {
	[ ! $domain ] && domain=null.net
	line_replace "HOSTNAME=" "HOSTNAME=$hostname" /etc/sysconfig/network
	line_replace "domain" "domain $domain" /etc/resolv.conf
	line_replace "$ipaddr\b" "$ipaddr	$hostname.$domain $hostname" /etc/hosts
	hostname $hostname
}

eval `dml<< EOF
<meta title="$(nls "Host / domain name")"><br>
$(nls "Attention: This menu doesn't set IP address")<br><br>
$(nls "Host name")<br>
($(nls "Your computer")): <input id=hostname caption=$HOSTNAME width=15><br><br>
$(nls "Domain"):              <input id=domain caption=$DOMAIN width=30><br><br><br>
$(nls "For IP address"):       <input id=ipaddr caption=$IP_GUESSED width=17><br><br>
\`dml_buttons Ok Anuluj Edytuj Wyjcie\`
EOF`

dml_cancel_check ${DATA_DIR}/NET/net_menu.sh
dml_edit_check /etc/hosts
dml_check_the_rest ${DATA_DIR}/NET/net_menu.sh
