#!/bin/bash
#GPL, mimooh at pld-linux.org

eval `dml<< EOF
<meta title="$(nls "About deviecs")"><br>
<button id=mem caption="$(nls "System memory")"><br>
<button id=cpu caption="$(nls "CPU")"><br>
<button id=dmesg caption="$(nls "Kernel messages")"><br>
<button id=lspci caption="$(nls "PCI interface")"><br>
<button id=interrupts caption="$(nls "IRQ")"><br>
<button id=ioports caption="$(nls "I/O ports")"><br>
<br><br>
\`dml_buttons Anuluj Wyjcie\`
EOF`

dml_cancel_check ${DATA_DIR}/SYSINFO/sysinfo_menu.sh
dml_check_the_rest


if [ "X$mem" = "Xyes" ]; then
	clear
	cat /proc/meminfo
	echo -e "\\n\\n<enter>"
	read
	exec ${DATA_DIR}/SYSINFO/devices.sh
fi
if [ "X$cpu" = "Xyes" ]; then
	clear
	cat /proc/cpuinfo
	echo -e "\\n\\n<enter>"
	read
	exec ${DATA_DIR}/SYSINFO/devices.sh
fi
if [ "X$dmesg" = "Xyes" ]; then
	clear
	dmesg | less
	exec ${DATA_DIR}/SYSINFO/devices.sh
fi
if [ "X$lspci" = "Xyes" ]; then
	clear
	lspci
	echo -e "\\n\\n<enter>"
	read
	exec ${DATA_DIR}/SYSINFO/devices.sh
fi
if [ "X$interrupts" = "Xyes" ]; then
	clear
	cat /proc/interrupts
	echo -e "\\n\\n<enter>"
	read
	exec ${DATA_DIR}/SYSINFO/devices.sh
fi
if [ "X$ioports" = "Xyes" ]; then
	clear
	cat /proc/ioports
	echo -e "\\n\\n<enter>"
	read
	exec ${DATA_DIR}/SYSINFO/devices.sh
fi
