#!/bin/bash
#GPL, mimooh at pld-linux.org

[ `id -un` != "root" ] && return_=${DATA_DIR}/menu_user.sh || { return_=${DATA_DIR}/SYSINFO/sysinfo_menu.sh; fdisk_field="<button id=parts caption=\"$(nls "Show partitions")\"> na dysku <input witdth=20 id=which_disk caption=/dev/hda><br>"; }

eval `dml<< EOF
<meta title="$(nls "About hard disk")"><br>
${fdisk_field}
<button id=df caption="$(nls "Show disk space usage")"><br>
<button id=du caption="$(nls "Show folder size")"> <input width=20 id=du_dir caption=/home/users/ fs=d label=$(nls "Select")><br><br>
$(nls "Find file") <input id=szukany> <button id=find caption=$(nls "Find")><br>
<br><br>
\`dml_buttons Anuluj Wyjcie\`
EOF`

dml_cancel_check ${return_}
dml_check_the_rest

if [ "X$parts" = "Xyes" ]; then
	clear
	/sbin/fdisk -l $which_disk
	echo -e "\\n\\n<enter>"
	read
	exec ${return_}
fi

if [ "X$find" = "Xyes" ]; then
	clear
	install_if_missing slocate
	locate $szukany | less
	exec ${return_}
fi
if [ "X$df" = "Xyes" ]; then
	clear
	mount -a 2>/dev/null
	df -h
	umount -a 2>/dev/null
	echo -e "\\n\\n<enter>"
	read
	exec ${return_}
fi
if [ "X$du" = "Xyes" ]; then
	clear
	echo "$(nls "Please wait...")"
	du -chs $du_dir
	echo -e "\\n\\n<enter>"
	read
	exec ${return_}
fi
