#!/bin/bash
#
# $Revision: 1.19 $, $Date: 2004/03/01 08:15:04 $
#

eval `dml -t "    _p_l_d_c_o_n_f $PLDCONF_VERSION"<< EOF
<meta title="$(nls "User menu")"> 
<br>
<menu id=res_menu res=1 height=11> 
<item id=X> $(nls "Graphical environment")
<item id=editor> $(nls "Editor")
<item id=wvdial_connect> $(nls "Internet connection")
<item id=fetchmail> $(nls "Fetchmail setup")
<item id=mutt> $(nls "Mutt setup")
<item id=aumix> $(nls "Sound mixer")
<item id=file> $(nls "Find file")
<item id=dml_help> $(nls "Help")
<item id=template> $(nls "Template")
<item id=autorzy> $(nls "Authors")
<item id=dml_exit> $(nls "Exit")
</menu>
EOF`

case $res_menu in 
	X)
	exec ${DATA_DIR}/X/desktop.sh
	;;
	editor)
	exec ${DATA_DIR}/USER/editor.sh
	;;
	wvdial_connect)
	exec ${DATA_DIR}/NET/wvdial_connect.sh
	;;
	fetchmail)
	exec ${DATA_DIR}/USER/fetchmail.sh
	;;
	mutt)
	exec ${DATA_DIR}/USER/mutt.sh
	;;
	aumix)
	exec ${DATA_DIR}/USER/aumix.sh
	;;
	file)
	exec ${DATA_DIR}/SYSINFO/harddisk.sh
	;;
	dml_help)
	dml_help=yes
	dml_help_check ${DATA_DIR}/POMOC/README_pomoc.txt
	;;
	template)
	exec ${DATA_DIR}/template.sh
	;;
	autorzy)
	exec ${DATA_DIR}/autorzy.sh
	;;
	dml_exit)
	exit	
	;;
esac
